
<canvas id= "chart1"></canvas>
<script>

$('document').ready(function() {

	var ctx = document.getElementById('chart1').getContext('2d');

	$.ajax({
	  url: '/api/getAverageStats',
	  dataType: 'json', 
	}).done(function (results) {

	    var ctx = document.getElementById('chart1').getContext('2d');
      var chartLine = document.getElementById('chart1');
      var constructTitle = document.getElementById('construct-title1');
      var graphTitle = document.getElementById('graph-title1');
      var inConstructImg = document.getElementById('inconstruct1');

      // console.log (results.data.length);
      if(results.data.length > 0 ) { 
	      inConstructImg.style.display = 'none';
	      constructTitle.style.display = 'none';
	      graphTitle.style.display = 'block';
	      chartLine.style.display = 'block';
				var chart1 = new Chart(ctx, {
			    type: 'polarArea',
			    data: {
			        labels: ['Depressed', 'Sad', 'Okay', 'Happy', 'Joyful'],
			        datasets: [{
			            label: false,
			            data: results.data,
			            backgroundColor: [
	            		'rgb(33, 62, 119, 0.6)', //rgb(33, 62, 119) - Navy #213E77
	            		'rgb(69, 189, 197, 0.6)', //rgb(69, 189, 197) - Teal #45BDC5
	            		'rgb(140, 197, 69, 0.7)', // rgb(140, 197, 69) - Green #8CC545
	                'rgb(255, 206, 27, 0.7)', //rgb(255, 206, 27) - Orange #FFCD1B
	                'rgb(204, 9, 149, 0.7)' // rgb (204, 9, 149) -Dark Pink #CC0995
	                	
			            ],
			            borderColor: [
		                'white',
		                'white',
		                'white',
		                'white'
			            ],
			            borderWidth: 1
			        }] 
			    },
					options: {
						responsive: true,
	          maintainAspectRatio: true,
	          layout: {
	            padding: {
	              left: 0,
	              right: 0,
	              top: 0,
	              bottom: 0
	            }
	          },
						legend : {
		          position: 'bottom',
		          display: true,
		          
		          labels: {
		          	boxWidth: 10
		        	}      	
		      	},

						title: {
		    			display: false
			        	
						},

	        
		        legend : {
			        position: 'bottom',
			        display: true,
			        labels: {
			        	boxWidth: 10
			         }
		        },
			      
					  scales: {
				      display:false,
				      xAxes: [{
		       			display:false,
				       	gridLines: {
			            drawBorder: false,
			            display: false
				        },				        
				        	barThickness : 23,
				        	barRoundness: 10
				      }],
				  
					    yAxes: [{ 
				        gridLines: {
		              drawBorder: false,
		              display: false
		          	},
							  ticks: {
					        display: false,
					        beginAtZero: false,
					        Callback: function(value) { 
			            	moodEq = {
			                1: 'Depressed',
			                2: 'Sad',
			                3: 'Okay',
			                4: 'Happy',
			                5: 'Joyful'
			            	};
					       		return moodEq[value];
				        	}
				        },
			        }]
			      }
			    }	
				});
			} else if(results.data.length <= 0) {
        inConstructImg.style.display = 'block';
        constructTitle.style.display = 'block';
        graphTitle.style.display = 'none';
        chartLine.style.display = 'none';        
      }
	});
});



</script>
